Bug 64506 - RFE New Trident driver
RFE New Trident driver
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-05-06 18:30 EDT by David L. Gehrt
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-31 03:31:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David L. Gehrt 2002-05-06 18:30:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-3 i686)

Description of problem:
There is a new Trident driver that provides accelerated X on, among other things
Trident Cyberblade graphics chips.  The driver distributed with the 4.2 for
these chips is (painfully) unaccelerated.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Fire up an X session on a system with a Cyberblade graphics chip using the
distributed driver.
2. Observe slow performance od the display interface.

Additional info:

I downloaded the new driver from http://www.xfree86.org/~alanh and it does
provide significantly  inmproved perforemance.  I think the preoblem was too
late for inclusion in the X Windows System 4.2 Release.
Comment 1 Mike A. Harris 2002-05-07 04:27:09 EDT
That is correct, the Trident driver improvements were done post-4.2 by
Alan Hourihane (who works at Red Hat now).  I've included bug-fix only
patches to the 4.2.0 driver since there was not adequate time to both
integrate and properly test the CVS driver with 4.2.0.

I may consider including an updated driver perhaps in a future erratum,
but no guarantees.  Depends on how much time I have to work on non-essential
Comment 2 Mike A. Harris 2002-05-31 02:16:03 EDT
Alan, I'm going to add your new Trident driver to 4.2.0 now, however your
web page only has a binary-only driver present.  I'm not familiar with
the CVS state of the Trident driver or its stability however.

Is the current XFree86 CVS head trident driver stable and ok for me to
plop into 4.2.0?  If not, could you possibly tarball me up a copy of your
latest stable sources?

Comment 3 Alan Hourihane 2002-05-31 03:31:27 EDT

There's one more problem I'm working on, then I'll send you some
Comment 4 Mike A. Harris 2002-08-07 04:12:15 EDT
New trident driver has been in rawhide for a while now.

Note You need to log in before you can comment on or make changes to this bug.